#include "preferences.h"

#include <QFileDialog>
#include <QPushButton>


Preferences::Preferences(QWidget *parent)
   :QDialog(parent)
{
    setupUi(this);

    buttonBox->button(QDialogButtonBox::Ok)->setText(tr("&OK"));
    buttonBox->button(QDialogButtonBox::Cancel)->setText(tr("&Cancel"));
}

/* --------------------------------------------------------------------- */

void Preferences::on_browseCmd_clicked()
{
    QString file = QFileDialog::getOpenFileName(this, tr("Find GVIM executable"), vimCommand->text());

    if (!file.isEmpty())
    {
        vimCommand->setText(file);
    }
}
